com.mysql.cj.xdevapi

## Interface DocResult

All Superinterfaces:
  FetchResult<DbDoc>, Iterable<DbDoc>, Iterator<DbDoc>, QueryResult, Result

    public interface DocResult
    extends FetchResult<DbDoc>, Result

A sequence of documents retrieved from a find query.

### Method Summary

### Methods inherited from interface com.mysql.cj.xdevapi.FetchResult

`count, fetchAll, fetchOne, hasData, iterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface com.mysql.cj.xdevapi.Result

`getAffectedItemsCount, getWarnings, getWarningsCount`

Copyright © 2016, 2026, Oracle and/or its affiliates.